import oracledb from "oracledb";
/**
 * @description This method is use to execute sql query
 * @param query SQL query string to execute
 */
export declare const sqlExecute: (query: string) => Promise<oracledb.Result<unknown>>;
/**
 * @description This method gets all columns from a specified Database SQL Query
 *
 * @param response SQL query string to execute
 */
export declare const sqlGetAllColumns: (response: oracledb.Result<unknown>) => Promise<oracledb.Metadata<unknown>[] | undefined>;
/**
 * @description This method gets all rows from a specified Database SQL Query
 *
 * @param response SQL query string to execute
 */
export declare const sqlGetAllRows: (response: oracledb.Result<unknown>) => Promise<unknown[] | undefined>;
